Subject: Re: libtool-devel problem with building 'dummy' exe
From: "Gerrit P. Haase" <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Mon, 14 Apr 2003 07:56:25 +0200

Hallo Charles,

Am Montag, 14. April 2003 um 03:51 schriebst du:

> Gerrit P. Haase wrote:

>> /expat/expat-1.95.6/.obj/libtool: cannot create .libs/lt-xmlwf/xmlwf.c: directory nonexistent

[...]

> So, in *every* case I have seen, the source code for the wrapper is
> dumped into
>    .libs/[lt-]<executable-name>.c  and NOT
>    .libs/<some subdir>/[lt-]<executable-name>.c

> I suspect something wacky in the Makefile.am for expat...

xmlwf is in its own subdir, without a Makefile, it is build from the
top-sourcedir.
Makefile.in:
...
default:  buildlib xmlwf/xmlwf

buildlib: $(LIBRARY)

all: $(LIBRARY) xmlwf/xmlwf examples/elements examples/outline

I understand now, the target has a / in its name, libtool should use
some function like basename and append the lt- to the basename and not
to the target name.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/